
.stats {
    display: flex;
    flex-wrap: wrap; /* Allows wrapping */
    justify-content: space-between;
    gap: 20px;
    border-bottom: 1px solid blue;
    padding-bottom: 20px;
    margin-bottom: 20px;
}

.stat-item {
    flex: 1 1 calc(25% - 20px); 
    text-align: center;
    min-width: 150px;
}

.stat-item h1 {
    font-size: 2.5rem;
    margin: 0;
    color: #fff;
}

.stat-item p {
    font-size: 1rem;
    margin-top: 10px;
    color: #aaa;
}

@media (max-width: 768px) {
    .stats {
        justify-content: center; 
    }

    .stat-item {
        flex: 1 1 calc(50% - 20px); 
        text-align: center;
    }
    
    
}


/* Logos and Description */
.description {
    text-align: center;
}

.description p {
    font-size: 1.2rem;
    margin-bottom: 20px;
    color: #fff;
}

.logos {
    display: flex;
    justify-content: space-around;
    align-items: center;
    /*flex-wrap: wrap; */
    gap: 20px;
    overflow: hidden;
    position: relative;
    padding: 20px 0;

}


.logo-marquee {
    display: flex;
    gap: 30px;
    animation: scroll 5s linear infinite;
}

.logo-marquee img {
    max-width: 100%;
    max-height: 100px;
    transition: transform 0.3s ease;
}
.logo-marquee:hover {
    animation-play-state: paused;
}

.logo-marquee img:hover {
    transform: scale(1.1);
    cursor: pointer;
}

/* Keyframe Animation */
@keyframes scroll {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-45%);
    }
}

@media (max-width: 768px) {
        .logos {
        overflow: hidden;
        flex-wrap: nowrap;   /* prevent wrapping on mobile */
    }

    .logo-marquee {
        flex-wrap: nowrap;
        width: max-content;
        animation: scroll 10s linear infinite;
    }
    
    @keyframes scroll {
        from {
            transform: translateX(0);
        }
        to {
            transform: translateX(-180%);
        }
    }

}


